Yandex Cloud
Документация
ПрезентацияСвязаться с намиНачать бесплатно
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ТОО «Облачные Сервисы Казахстан»
Yandex API Gateway
RU
  • Начало работы
  • Управление доступом
  • Инструменты
  • Правила тарификации
  • Справочник Terraform
    • Аутентификация в API
      • Overview
        • Overview
        • Get
        • Send
        • Disconnect
  • Справочник метрик
  • Аудитные логи Audit Trails
  • Публичные материалы
  • История изменений
  • Вопросы и ответы
  • Обучающие курсы

В этой статье:

  • HTTP request
  • Path parameters
  • Response
  • Identity
  1. Справочник API Websocket
  2. REST (англ.)
  3. Connection
  4. Get

API Gateway WebSocket Connection Service, REST: Connection.Get

Статья создана
Yandex Cloud
Обновлена 9 декабря 2025 г.
Открыть в Markdown
  • HTTP request
  • Path parameters
  • Response
  • Identity

Returns the specified connection info.

HTTP requestHTTP request

GET https://apigateway-connections.api.cloud.yandex.net/apigateways/websocket/v1/connections/{connectionId}

Path parametersPath parameters

Field

Description

connectionId

string

Required field. ID of the connection to get.

The maximum string length in characters is 50.

ResponseResponse

HTTP Code: 200 - OK

{
  "id": "string",
  "gatewayId": "string",
  "identity": {
    "sourceIp": "string",
    "userAgent": "string"
  },
  "connectedAt": "string",
  "lastActiveAt": "string"
}

Field

Description

id

string

ID of the connection.

gatewayId

string

ID of the API Gateway.

identity

Identity

The information about the caller making the request to API Gateway.

connectedAt

string (date-time)

The timestamp at which connection was established.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

lastActiveAt

string (date-time)

The timestamp at which connection was last accessed.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

IdentityIdentity

Field

Description

sourceIp

string

The source IP address of the caller making the request to API Gateway.

userAgent

string

The User Agent of the caller making the request to API Gateway.

Была ли статья полезна?

Предыдущая
Overview
Следующая
Send
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ТОО «Облачные Сервисы Казахстан»